Skip to main content
DELETE
/
api-keys
/
{id}
Revoke API key
curl --request DELETE \
  --url https://xquik.com/api/v1/api-keys/{id}
import requests

url = "https://xquik.com/api/v1/api-keys/{id}"

response = requests.delete(url)

print(response.text)
const options = {method: 'DELETE'};

fetch('https://xquik.com/api/v1/api-keys/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://xquik.com/api/v1/api-keys/{id}"

	req, _ := http.NewRequest("DELETE", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
Free - does not consume credits
curl -X DELETE https://xquik.com/api/v1/api-keys/42 \
  -H "Cookie: session_token=YOUR_SESSION_TOKEN" | jq
const response = await fetch("https://xquik.com/api/v1/api-keys/42", {
  method: "DELETE",
  headers: { "Cookie": "session_token=YOUR_SESSION_TOKEN" },
});
const result = await response.json();
console.log(result);
import requests

response = requests.delete(
    "https://xquik.com/api/v1/api-keys/42",
    cookies={"session_token": "YOUR_SESSION_TOKEN"},
)
result = response.json()
print(result)
package main

import (
	"fmt"
	"io"
	"log"
	"net/http"
)

func main() {
	req, err := http.NewRequest("DELETE", "https://xquik.com/api/v1/api-keys/42", nil)
	if err != nil {
		log.Fatal(err)
	}
	req.AddCookie(&http.Cookie{Name: "session_token", Value: "YOUR_SESSION_TOKEN"})

	resp, err := http.DefaultClient.Do(req)
	if err != nil {
		log.Fatal(err)
	}
	defer resp.Body.Close()

	body, err := io.ReadAll(resp.Body)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(string(body))
}

Path parameters

id
string
required
The unique identifier of the API key to revoke.

Headers

Dashboard session cookie. Format: session_token=YOUR_SESSION_TOKEN.
x-api-key
string
API key for the same account. Use this instead of Cookie for automated key rotation.
Authorization
string
OAuth bearer token for the same account. Format: Bearer YOUR_TOKEN.

Response

success
boolean
Always true when the key is successfully revoked.
{ "success": true }
Revocation is immediate and permanent. All requests using the revoked key will return 401 Unauthenticated. This action cannot be undone. Create a new key if needed.
Use a dashboard session cookie, API key, or OAuth bearer token for the same account. If you revoke the API key used for this request, later requests with that key return 401 Unauthenticated.Related: Create API Key · List API Keys
Last modified on May 7, 2026